diff --git a/doc/src/sgml/Makefile b/doc/src/sgml/Makefile
index 8bdd26c..99ce106 100644
--- a/doc/src/sgml/Makefile
+++ b/doc/src/sgml/Makefile
@@ -48,6 +48,10 @@ ifndef XMLLINT
 XMLLINT = $(missing) xmllint
 endif
 
+ifndef XMLLINTCFLAGS
+XMLLINTCFLAGS = --valid --noout
+endif
+
 ifndef XSLTPROC
 XSLTPROC = $(missing) xsltproc
 endif
@@ -82,7 +86,7 @@ override SPFLAGS += -wall -wno-unused-param -wno-empty -wfully-tagged
 man distprep-man: man-stamp
 
 man-stamp: stylesheet-man.xsl postgres.xml
-	$(XMLLINT) --noout --valid postgres.xml
+	$(XMLLINT) $(XMLLINTCFLAGS) postgres.xml
 	$(XSLTPROC) $(XSLTPROCFLAGS) $(XSLTPROC_MAN_FLAGS) $^
 	touch $@
 
@@ -259,13 +263,13 @@ endif
 xslthtml: xslthtml-stamp
 
 xslthtml-stamp: stylesheet.xsl postgres.xml
-	$(XMLLINT) --noout --valid postgres.xml
+	$(XMLLINT) $(XMLLINTCFLAGS) postgres.xml
 	$(XSLTPROC) $(XSLTPROCFLAGS) $(XSLTPROC_HTML_FLAGS) $^
 	cp $(srcdir)/stylesheet.css html/
 	touch $@
 
 htmlhelp: stylesheet-hh.xsl postgres.xml
-	$(XMLLINT) --noout --valid postgres.xml
+	$(XMLLINT) $(XMLLINTCFLAGS) postgres.xml
 	$(XSLTPROC) $(XSLTPROCFLAGS) $^
 
 %-A4.fo.tmp: stylesheet-fo.xsl %.xml
@@ -287,7 +291,7 @@ FOP = fop
 
 epub: postgres.epub
 postgres.epub: postgres.xml
-	$(XMLLINT) --noout --valid $<
+	$(XMLLINT) $(XMLLINTCFLAGS) $<
 	$(DBTOEPUB) $<
 
 
